Bug 1128307 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088 [NEEDINFO]
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dc407f923400f5884384c7ae767...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 21:39 UTC by Chris Murphy
Modified: 2015-02-24 16:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 16:14:47 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (39.45 KB, text/plain)
2014-08-08 21:39 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2014-08-08 21:39:39 UTC
Additional info:
reporter:       libreport-2.2.3
BUG: unable to handle kernel NULL pointer dereference at 0000000000000088
IP: [<ffffffffa0268551>] btrfs_kobj_rm_device+0x21/0x40 [btrfs]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: cfg80211 rfkill btrfs snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device ppdev xor raid6_pq snd_pcm microcode snd_timer serio_raw parport_pc snd i2c_piix4 parport soundcore i2c_core xfs libcrc32c virtio_net virtio_pci virtio_ring ata_generic virtio pata_acpi
CPU: 2 PID: 821 Comm: btrfs-devrepl Not tainted 3.16.0-0.rc6.git0.1.fc21.1.x86_64 #1
Hardware name: innotek GmbH VirtualBox/VirtualBox, BIOS VirtualBox 12/01/2006
task: ffff880099b5eca0 ti: ffff88009983c000 task.ti: ffff88009983c000
RIP: 0010:[<ffffffffa0268551>]  [<ffffffffa0268551>] btrfs_kobj_rm_device+0x21/0x40 [btrfs]
RSP: 0018:ffff88009983fe08  EFLAGS: 00010286
RAX: 0000000000000000 RBX: 0000000000000000 RCX: bbb3527a6b299586
RDX: ffff880036b6e410 RSI: ffff88009b4a2800 RDI: ffff880035f6cac0
RBP: ffff88009983fe10 R08: ffff880036b6e410 R09: 0000000000000234
R10: ffffe8ffffd01090 R11: ffffffff818675c0 R12: ffff880099a2cdc8
R13: ffff88009b4a2800 R14: ffff880099eaa000 R15: ffff880036acf200
FS:  0000000000000000(0000) GS:ffff88009fb00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000088 CR3: 000000009aefe000 CR4: 00000000000006e0
Stack:
 ffff880099a2c000 ffff88009983fe90 ffffffffa02bf93d ffff880099a2c100
 ffff880099a2ce38 00000006baa50000 ffffffff00000028 ffff88009983fea0
 ffff88009983fe58 000000002909d417 ffff880099a2c000 000000002909d417
Call Trace:
 [<ffffffffa02bf93d>] btrfs_dev_replace_finishing+0x32d/0x5c0 [btrfs]
 [<ffffffffa02c0130>] ? btrfs_dev_replace_status+0x110/0x110 [btrfs]
 [<ffffffffa02c019d>] btrfs_dev_replace_kthread+0x6d/0x130 [btrfs]
 [<ffffffff810b311a>] kthread+0xea/0x100
 [<ffffffff810b3030>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8172253c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b3030>] ? insert_kthread_work+0x40/0x40
Code: 5f 5d c3 0f 1f 80 00 00 00 00 66 66 66 66 90 55 48 89 e5 53 48 8b bf f0 09 00 00 48 85 ff 74 20 31 db 48 85 f6 74 14 48 8b 46 78 <48> 8b 80 88 00 00 00 48 8b 70 38 e8 2f 23 01 e1 89 d8 5b 5d c3 
RIP  [<ffffffffa0268551>] btrfs_kobj_rm_device+0x21/0x40 [btrfs]
 RSP <ffff88009983fe08>
CR2: 0000000000000088

Comment 1 Chris Murphy 2014-08-08 21:39:42 UTC
Created attachment 925304 [details]
File: dmesg

Comment 2 Chris Murphy 2014-08-08 21:49:40 UTC
Already reported upstream.
http://www.spinics.net/lists/linux-btrfs/msg36021.html

Comment 3 Justin M. Forbes 2015-01-27 14:59:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 4 Fedora Kernel Team 2015-02-24 16:14:47 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.